> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an object definition

> Updates properties of an existing object definition



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/objects/{slug}
openapi: 3.0.0
info:
  description: >-
    REST API for accessing and managing your Nex data. Generate API keys from
    the Nex web UI and use them to authenticate requests.
  title: Nex Developer API
  contact: {}
  version: '1.0'
servers:
  - url: https://app.nex.ai/api/developers
security: []
paths:
  /v1/objects/{slug}:
    patch:
      tags:
        - Schema
      summary: Update an object definition
      description: Updates properties of an existing object definition
      operationId: updateObjectDefinition
      parameters:
        - description: Object slug (e.g., 'person', 'company')
          name: slug
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/developer.UpdateObjectRequest'
        description: Fields to update
        required: true
      responses:
        '200':
          description: Updated object definition
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/developer.ObjectResponse'
        '400':
          description: Bad request - Invalid data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '404':
          description: Object not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    developer.UpdateObjectRequest:
      type: object
      properties:
        name:
          type: string
          description: New display name
        name_plural:
          type: string
          description: New plural name
        description:
          type: string
          description: New description
      example:
        name: Updated Project
        description: Updated description
    developer.ObjectResponse:
      type: object
      properties:
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/developer.AttributeDefinitionResponse'
        created_at:
          type: string
        description:
          type: string
        id:
          type: string
        name:
          type: string
        name_plural:
          type: string
        slug:
          type: string
        type:
          type: string
    httpx.APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
    developer.AttributeDefinitionResponse:
      type: object
      properties:
        description:
          type: string
        id:
          type: string
        name:
          type: string
        options:
          $ref: '#/components/schemas/developer.AttributeOptionsResponse'
        slug:
          type: string
        type:
          type: string
    developer.AttributeOptionsResponse:
      type: object
      properties:
        is_multi_value:
          type: boolean
        is_required:
          type: boolean
        is_unique:
          type: boolean
        is_whole_number:
          type: boolean
        select_options:
          type: array
          items:
            $ref: '#/components/schemas/developer.SelectOptionResponse'
        use_raw_format:
          type: boolean
    developer.SelectOptionResponse:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: 'API key for authentication (format: "Bearer YOUR_API_KEY")'
      type: apiKey
      name: Authorization
      in: header

````